Stats reporting and exports.
Create and run a new drilldown report
Create and run a new drilldown report
query Parameters
apiKeyAn authorized api key
Create and run a new drilldown report › Request Body
'start' is included while 'end' is excluded. Typically, the test is start <= time < end
When a TimeZone object is provided as an input to an API function, then either offset or name is required. If both are given, then 'name' takes precedence. When a TimeZone object is sent back from an API function, both 'offset' and 'name' are filled.
metricsOptional metric names to include in the response. Omit to return all metrics.
responseFormatUse compact-v1 to return report row cells as positional arrays [formatted, raw]. Omit or use standard for the legacy cell object shape.
Create and run a new drilldown report › Responses
The requested report
rowsReturnedThe number of returned rows
rowsTotalThe total number of available rows when RequestPaging is not restricting what is returned
Export a drilldown report as CSV
Export a drilldown report as CSV. Supports paginated export via offset/limit for large datasets.
query Parameters
apiKeyAn authorized api key
Export a drilldown report as CSV › Request Body
filenameOptional filename for the exported CSV
offsetRow offset for paginated exports
limitMaximum number of rows to export per request
addHeaderWhether to include a header row in the CSV output
Export a drilldown report as CSV › Responses
CSV export result
successcompleteTrue if all rows have been exported
rowsWrittenurlURL to download the exported CSV file (present when complete)
nextOffsetOffset to use for the next request (present when not complete)

